Gecode::Int::IntDelta Class Reference

Integer delta information for advisors. More...

`#include <var-imp.hpp>`

## Public Member Functions

| IntDelta (void)
| Create integer delta as providing no information.
| IntDelta (int min, int max)
| Create integer delta with min and max.
| IntDelta (int min)
| Create integer delta with min.

## Detailed Description

Integer delta information for advisors.

Note that the same delta information is used for both integer and Boolean variables and views.

Definition at line 51 of file var-imp.hpp.

## Constructor & Destructor Documentation

## IntDelta() [1/3]

Gecode::Int::IntDelta::IntDelta | ( | void |  | ) |

inline

Create integer delta as providing no information.

Definition at line 37 of file delta.hpp.

## IntDelta() [2/3]

Gecode::Int::IntDelta::IntDelta | ( | int | min,
|  | int | max )

inline

Create integer delta with min and max.

Definition at line 40 of file delta.hpp.

## IntDelta() [3/3]

Gecode::Int::IntDelta::IntDelta | ( | int | min | ) |

inline

Create integer delta with min.

Definition at line 43 of file delta.hpp.

The documentation for this class was generated from the following files:

- gecode/int/var-imp.hpp
- gecode/int/var-imp/delta.hpp